# Uses of Class
org.apache.jute.compiler.JField

Packages that use JField
Package
Description
org.apache.jute.compiler
This package contains classes needed for code generation from the hadoop record compiler.
org.apache.jute.compiler.generated
This package contains code generated by JavaCC from the Hadoop record syntax file rcc.jj.

## Uses of JField in org.apache.jute.compiler

Methods in org.apache.jute.compiler that return types with arguments of type JField
Modifier and Type
Method
Description
`List<JField>`
JRecord.`getFields()`
Constructor parameters in org.apache.jute.compiler with type arguments of type JField
Modifier
Constructor
Description
``
`JRecord(String name, ArrayList<JField> flist)`
Creates a new instance of JRecord.

## Uses of JField in org.apache.jute.compiler.generated

Methods in org.apache.jute.compiler.generated that return JField
Modifier and Type
Method
Description
`final JField`
Rcc.`Field()`